Package twisted :: Package protocols :: Module msn :: Class MSNFileSend

[show private | hide private]
[frames | no frames]

## Class MSNFileSend

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          MSNFileSend

This class provides support for sending files to other contacts.

Method Summary
| ``__init__`(self, file)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| `handle_BYE(self, params)`
| `handle_CCL(self, params)`
| `handle_TFR(self, params)`
| `handle_UNKNOWN(self, cmd, params)`
| `handle_USR(self, params)`
| `handle_VER(self, params)`
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| ``makeHeader`(self, size)` make the appropriate header given a specific segment size.
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `LineReceiver`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``sendPart`(self)` send a segment of data
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)

Instance Variable Summary
| `auth` - the auth cookie (number) to use when sending the transfer invitation
| `bytesSent` - the number of bytes that have currently been sent.
| `completed` - true if the send has completed.
| `connected` - true if a connection has been established.
| `segmentSize` - the segment (block) size.
| `targetUser` - the target user (contact).

Method Details

### __init__(self, file)
(Constructor)

  Parameters:
    `file` - A string or file object represnting the file to send.

### connectionLost(self, reason)

Called when the connection is shut down.

Clear any circular references here, and any external references to this Protocol. The connection has been closed.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.Protocol.connectionLost` (inherited documentation)

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### lineReceived(self, line)

Override this for when each line is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

### makeHeader(self, size)

make the appropriate header given a specific segment size.

### sendPart(self)

send a segment of data

Instance Variable Details

### auth

the auth cookie (number) to use when sending the transfer invitation

### bytesSent

the number of bytes that have currently been sent.

### completed

true if the send has completed.

### connected

true if a connection has been established.

### segmentSize

the segment (block) size.

### targetUser

the target user (contact).

Generated by Epydoc 1.1 on Thu May 8 13:18:51 2003 | http://epydoc.sf.net